Create Transaction

Creates a new transaction

Things to Note:

  • Customer Key supplied can be [customer_key, customer_external_key, customer_email]

  • Transaction amount can be 0 but cannot be [None, null, undefined]

  • Transaction amount is in cents for whichever currency supplied

  • Transaction key SHOULD be supplied (min 4 characters). This makes it easier to determine changes in your integration and allows transactions to be found internally

  • A product_key or category_key can be supplied for customized reward generation

  • Currency (currency) is the 3 character ISO code for a currency [USD, CAD, AUS]

  • Transactions on customers created using the PartnerStackTest Partner will not generate rewards

Path Params
string
required

A unique identifier used to reference the customer (can also be email address).

Body Params
int32

Transaction amount in cents

string
length ≤ 255

Only required for customer product offers. A unique identifier used to reference a product.

string
length ≤ 3

ISO 3 character currency code

length between 4 and 255

A unique identifier used to reference the Transaction

string
length ≤ 255

Only required for Custom Product offers. A unique identifier used to reference a product.

Responses

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json